%global plugin_name matrix

Name: purple-%{plugin_name}
Version: 0.1.0
Release: %mkrel 1
License: GPLv2+
Summary: Matrix plugin for libpurple
URL: https://github.com/matrix-org/%{name}
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# https://github.com/matrix-org/purple-matrix/pull/49
Patch0: %{name}-makefile-fixes.patch

BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(olm)
BuildRequires: pkgconfig(purple)
BuildRequires: pkgconfig(sqlite3)

BuildRequires: gcc
BuildRequires: http-parser-devel
BuildRequires: libgcrypt-devel
BuildRequires: make

%package -n pidgin-%{plugin_name}
Summary: Adds pixmaps, icons and smileys for Matrix protocol
BuildArch: noarch
Requires: %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Requires: pidgin

%description
Adds support for Matrix to Pidgin, Adium, Finch and other libpurple
based messengers.

%description -n pidgin-%{plugin_name}
Adds pixmaps, icons and smileys for Matrix protocol implemented by
purple-matrix.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
%make_install

%files
%license LICENSE
%doc README.md CHANGES.md AUTHORS.rst CONTRIBUTING.rst
%{_libdir}/purple-2/lib%{plugin_name}.so

%files -n pidgin-%{plugin_name}
%{_datadir}/pixmaps/pidgin/protocols/*/%{plugin_name}.png
